Bug 208178 - Kontact crashed while reading articles in Akregator (KCatalogPrivate::resetSystemLanguage, KCatalog::translateStrict, KLocalePrivate::translate_priv)
Summary: Kontact crashed while reading articles in Akregator (KCatalogPrivate::resetSy...
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: klocale (show other bugs)
Version: 4.3.1
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Chusslove Illich
URL:
Keywords:
: 207830 208350 208859 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-09-22 13:58 UTC by Dominik Steenken
Modified: 2009-10-28 17:49 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Steenken 2009-09-22 13:58:57 UTC
Application that crashed: kontact
Version of the application: 4.3.1
KDE Version: 4.3.1 (KDE 4.3.1)
Qt Version: 4.5.2
Operating System: Linux 2.6.28-13-generic x86_64
Distribution: Ubuntu 9.04

 -- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S
[Current thread is 0 (LWP 3834)]

Thread 3 (Thread 0x7f801ef65950 (LWP 5901)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f803cae553b in QMutexPrivate::wait (this=0xb7d5d0, timeout=-1) at thread/qmutex_unix.cpp:80
#2  0x00007f803cae0e25 in QMutex::lock (this=0xbbc640) at thread/qmutex.cpp:207
#3  0x00007f803d2b1ffa in KCatalog::translateStrict (this=0x3840d40, msgctxt=0x7f803e4a74d0 "QHostInfoAgent", msgid=0x7f803e49eb4a "Host not found") at /usr/include/qt4/QtCore/qmutex.h:120
#4  0x00007f803d2c6ce3 in KLocalePrivate::translate_priv (this=0xbb6580, msgctxt=0x7f803e4a74d0 "QHostInfoAgent", msgid=0x7f803e49eb4a "Host not found", msgid_plural=0x0, n=0, 
    language=0x7f801ef647a0, translation=0x7f801ef647b0) at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocale.cpp:820
#5  0x00007f803d2c7865 in KLocale::translateQt (this=0xbbc170, context=0x7f803e4a74d0 "QHostInfoAgent", sourceText=0x7f803e49eb4a "Host not found", comment=0x0)
    at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocale.cpp:908
#6  0x00007f803d2432ad in KDETranslator::translate (this=<value optimized out>, context=0x7f803e4a74d0 "QHostInfoAgent", sourceText=0x7f803e49eb4a "Host not found", message=0x0)
    at /build/buildd/kde4libs-4.3.1/kdecore/kernel/kglobal_p.h:52
#7  0x00007f803cbec2c9 in QTranslator::translate (this=0x80, context=0x2 <Address 0x2 out of bounds>, sourceText=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>, 
    disambiguation=0xb7d5f0 "", n=0) at kernel/qtranslator.cpp:804
#8  0x00007f803cbd2c99 in QCoreApplication::translate (context=0x7f803e4a74d0 "QHostInfoAgent", sourceText=0x7f803e49eb4a "Host not found", disambiguation=0x0, encoding=QCoreApplication::CodecForTr, 
    n=-1) at kernel/qcoreapplication.cpp:1641
#9  0x00007f803cbd307f in QCoreApplication::translate (context=0x80 <Address 0x80 out of bounds>, sourceText=0x2 <Address 0x2 out of bounds>, 
    disambiguation=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>, encoding=12047856) at kernel/qcoreapplication.cpp:1556
#10 0x00007f803cbd5c00 in QMetaObject::tr (this=<value optimized out>, s=0x2 <Address 0x2 out of bounds>, c=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>)
    at kernel/qmetaobject.cpp:314
#11 0x00007f803e45f838 in QHostInfoAgent::fromName (hostName=@0x7f801ef64f50) at kernel/qhostinfo_p.h:107
#12 0x00007f803e455932 in QHostInfo::fromName (name=<value optimized out>) at kernel/qhostinfo.cpp:230
#13 0x00007f803f0ff8cb in QtConcurrent::StoredFunctorCall1<QHostInfo, QHostInfo (*)(QString const&), QString>::runFunctor (this=0x574db50)
    at /usr/include/qt4/QtCore/qtconcurrentstoredfunctioncall.h:274
#14 0x00007f803f100453 in QtConcurrent::RunFunctionTask<QHostInfo>::run (this=0x574db50) at /usr/include/qt4/QtCore/qtconcurrentrunbase.h:103
#15 0x00007f803cadc881 in QThreadPoolThread::run (this=0x101de00) at concurrent/qthreadpool.cpp:106
#16 0x00007f803cae5d35 in QThreadPrivate::start (arg=0x101de00) at thread/qthread_unix.cpp:188
#17 0x00007f80391593ba in start_thread (arg=<value optimized out>) at pthread_create.c:297
#18 0x00007f803c050fcd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f801ca62950 (LWP 5918)):
[KCrash Handler]
#5  KCatalogPrivate::resetSystemLanguage (this=0xffffffffffffffff) at /usr/include/qt4/QtCore/qbytearray.h:377
#6  0x00007f803d2b202f in KCatalog::translateStrict (this=0x41bdbb0, msgctxt=0x7f803e4a74d0 "QHostInfoAgent", msgid=0x7f803e49eb4a "Host not found")
    at /build/buildd/kde4libs-4.3.1/kdecore/localization/kcatalog.cpp:262
#7  0x00007f803d2c6ce3 in KLocalePrivate::translate_priv (this=0xbb6580, msgctxt=0x7f803e4a74d0 "QHostInfoAgent", msgid=0x7f803e49eb4a "Host not found", msgid_plural=0x0, n=0, 
    language=0x7f801ca617a0, translation=0x7f801ca617b0) at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocale.cpp:820
#8  0x00007f803d2c7865 in KLocale::translateQt (this=0xbbc170, context=0x7f803e4a74d0 "QHostInfoAgent", sourceText=0x7f803e49eb4a "Host not found", comment=0x0)
    at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocale.cpp:908
#9  0x00007f803d2432ad in KDETranslator::translate (this=<value optimized out>, context=0x7f803e4a74d0 "QHostInfoAgent", sourceText=0x7f803e49eb4a "Host not found", message=0x0)
    at /build/buildd/kde4libs-4.3.1/kdecore/kernel/kglobal_p.h:52
#10 0x00007f803cbec2c9 in QTranslator::translate (this=0x1, context=0x0, sourceText=0x920 <Address 0x920 out of bounds>, disambiguation=0x1 <Address 0x1 out of bounds>, n=1)
    at kernel/qtranslator.cpp:804
#11 0x00007f803cbd2c99 in QCoreApplication::translate (context=0x7f803e4a74d0 "QHostInfoAgent", sourceText=0x7f803e49eb4a "Host not found", disambiguation=0x0, encoding=QCoreApplication::CodecForTr, 
    n=-1) at kernel/qcoreapplication.cpp:1641
#12 0x00007f803cbd307f in QCoreApplication::translate (context=0x1 <Address 0x1 out of bounds>, sourceText=0x0, disambiguation=0x920 <Address 0x920 out of bounds>, 
    encoding=QCoreApplication::UnicodeUTF8) at kernel/qcoreapplication.cpp:1556
#13 0x00007f803cbd5c00 in QMetaObject::tr (this=<value optimized out>, s=0x0, c=0x920 <Address 0x920 out of bounds>) at kernel/qmetaobject.cpp:314
#14 0x00007f803e45f838 in QHostInfoAgent::fromName (hostName=@0x7f801ca61f50) at kernel/qhostinfo_p.h:107
#15 0x00007f803e455932 in QHostInfo::fromName (name=<value optimized out>) at kernel/qhostinfo.cpp:230
#16 0x00007f803f0ff8cb in QtConcurrent::StoredFunctorCall1<QHostInfo, QHostInfo (*)(QString const&), QString>::runFunctor (this=0x51ab100)
    at /usr/include/qt4/QtCore/qtconcurrentstoredfunctioncall.h:274
#17 0x00007f803f100453 in QtConcurrent::RunFunctionTask<QHostInfo>::run (this=0x51ab100) at /usr/include/qt4/QtCore/qtconcurrentrunbase.h:103
#18 0x00007f803cadc881 in QThreadPoolThread::run (this=0x27fc7d0) at concurrent/qthreadpool.cpp:106
#19 0x00007f803cae5d35 in QThreadPrivate::start (arg=0x27fc7d0) at thread/qthread_unix.cpp:188
#20 0x00007f80391593ba in start_thread (arg=<value optimized out>) at pthread_create.c:297
#21 0x00007f803c050fcd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#22 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f804264e750 (LWP 3834)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f803cae553b in QMutexPrivate::wait (this=0xb7d5d0, timeout=-1) at thread/qmutex_unix.cpp:80
#2  0x00007f803cae0e25 in QMutex::lock (this=0xbbc640) at thread/qmutex.cpp:207
#3  0x00007f803d2b21c2 in KCatalog::translateStrict (this=0x3840d40, msgid=0x51b58b8 "&Find...") at /usr/include/qt4/QtCore/qmutex.h:120
#4  0x00007f803d2c7346 in KLocalePrivate::translate_priv (this=0xbb6580, msgctxt=0x0, msgid=0x51b58b8 "&Find...", msgid_plural=0x0, n=0, language=0x7fff4a6915a0, translation=0x7fff4a691590)
    at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocale.cpp:822
#5  0x00007f803d2c78ee in KLocale::translateRaw (this=<value optimized out>, msg=<value optimized out>, lang=<value optimized out>, trans=<value optimized out>)
    at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocale.cpp:838
#6  0x00007f803d2d3904 in KLocalizedStringPrivate::toString (this=0x48a86e0, locale=0xbbc170) at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocalizedstring.cpp:248
#7  0x00007f803d2d4867 in KLocalizedString::toString (this=0x7fff4a6916d0) at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocalizedstring.cpp:208
#8  0x00007f8041d13874 in KHTMLPart::updateActions (this=0x33dafc0) at /build/buildd/kde4libs-4.3.1/kdecore/localization/klocalizedstring.h:600
#9  0x00007f8041d35160 in KHTMLPart::slotActiveFrameChanged (this=0x33dafc0, part=0x0) at /build/buildd/kde4libs-4.3.1/khtml/khtml_part.cpp:6757
#10 0x00007f8041d3c7a4 in KHTMLPart::qt_metacall (this=0x33dafc0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a691990)
    at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/khtml/khtml_part.moc:315
#11 0x00007f803cbe4ea2 in QMetaObject::activate (sender=0x379e690, from_signal_index=<value optimized out>, to_signal_index=6, argv=0xffffffffffffffff) at kernel/qobject.cpp:3113
#12 0x00007f803f42e2c2 in KParts::PartManager::activePartChanged (this=0xb7d61c, _t1=0x0) at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/kparts/partmanager.moc:155
#13 0x00007f803f42fef2 in KParts::PartManager::setActivePart (this=0x379e690, part=<value optimized out>, widget=0x0) at /build/buildd/kde4libs-4.3.1/kparts/partmanager.cpp:486
#14 0x00007f8041d33f0a in ~KHTMLPart (this=0x33dafc0) at /build/buildd/kde4libs-4.3.1/khtml/khtml_part.cpp:590
#15 0x00007f801f661e1c in Akregator::BrowserFrame::Private::loadPartForMimetype (this=0xe492c0, mimetype=@0x7fff4a691cf0) at /build/buildd/kdepim-4.3.1/akregator/src/browserframe_p.cpp:83
#16 0x00007f801f6602ed in Akregator::BrowserFrame::openUrl (this=0x33d6b50, request=@0x3688de0) at /build/buildd/kdepim-4.3.1/akregator/src/browserframe.cpp:315
#17 0x00007f801f65c816 in Akregator::FrameManager::openUrl (this=0x24c4ab0, request=@0x3688de0) at /build/buildd/kdepim-4.3.1/akregator/src/framemanager.cpp:250
#18 0x00007f801f65e611 in Akregator::FrameManager::qt_metacall (this=0x24c4ab0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a691f10)
    at /build/buildd/kdepim-4.3.1/obj-x86_64-linux-gnu/akregator/src/framemanager.moc:158
#19 0x00007f803cbe4ea2 in QMetaObject::activate (sender=0x3688dc0, from_signal_index=<value optimized out>, to_signal_index=15, argv=0xffffffffffffffff) at kernel/qobject.cpp:3113
#20 0x00007f801f64e532 in Akregator::BrowserRun::signalFoundMimeType (this=0xb7d61c, _t1=<value optimized out>) at /build/buildd/kdepim-4.3.1/obj-x86_64-linux-gnu/akregator/src/browserrun.moc:81
#21 0x00007f801f64e648 in Akregator::BrowserRun::foundMimeType (this=0x3688dc0, type=@0x7fff4a691fb0) at /build/buildd/kdepim-4.3.1/akregator/src/browserrun.cpp:49
#22 0x00007f803f0abe72 in KRun::mimeTypeDetermined (this=0xb7d61c, mimeType=@0x80) at /build/buildd/kde4libs-4.3.1/kio/kio/krun.cpp:1360
#23 0x00007f803f43c2ab in KParts::BrowserRun::redirectToError (this=0x3688dc0, error=<value optimized out>, errorText=<value optimized out>) at /build/buildd/kde4libs-4.3.1/kparts/browserrun.cpp:530
#24 0x00007f803f43dbc7 in KParts::BrowserRun::handleError (this=0x3688dc0, job=0x3953bf0) at /build/buildd/kde4libs-4.3.1/kparts/browserrun.cpp:499
#25 0x00007f803f43f300 in KParts::BrowserRun::slotBrowserScanFinished (this=0x3688dc0, job=0x3953bf0) at /build/buildd/kde4libs-4.3.1/kparts/browserrun.cpp:188
#26 0x00007f803f43f634 in KParts::BrowserRun::qt_metacall (this=0x3688dc0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff4a6922c0)
    at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/kparts/browserrun.moc:73
#27 0x00007f801f64e565 in Akregator::BrowserRun::qt_metacall (this=0xb7d61c, _c=128, _id=1, _a=0xffffffffffffffff) at /build/buildd/kdepim-4.3.1/obj-x86_64-linux-gnu/akregator/src/browserrun.moc:64
#28 0x00007f803cbe4ea2 in QMetaObject::activate (sender=0x3953bf0, from_signal_index=<value optimized out>, to_signal_index=7, argv=0xffffffffffffffff) at kernel/qobject.cpp:3113
#29 0x00007f803d223942 in KJob::result (this=0xb7d61c, _t1=0x3953bf0) at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/kdecore/kjob.moc:188
#30 0x00007f803d223cbf in KJob::emitResult (this=0x3953bf0) at /build/buildd/kde4libs-4.3.1/kdecore/jobs/kjob.cpp:304
#31 0x00007f803f03b210 in KIO::SimpleJob::slotFinished (this=0x3953bf0) at /build/buildd/kde4libs-4.3.1/kio/kio/job.cpp:477
#32 0x00007f803f03b6c3 in KIO::TransferJob::slotFinished (this=0x3953bf0) at /build/buildd/kde4libs-4.3.1/kio/kio/job.cpp:948
#33 0x00007f803f0360a7 in KIO::SimpleJob::slotError (this=0x3953bf0, err=<value optimized out>, errorText=@0xe) at /build/buildd/kde4libs-4.3.1/kio/kio/job.cpp:489
#34 0x00007f803f0362a2 in KIO::SimpleJob::qt_metacall (this=0x3953bf0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a692790)
    at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/kio/jobclasses.moc:158
#35 0x00007f803f036365 in KIO::TransferJob::qt_metacall (this=0xb7d61c, _c=128, _id=1, _a=0xffffffffffffffff) at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/kio/jobclasses.moc:331
#36 0x00007f803cbe4ea2 in QMetaObject::activate (sender=0x2545510, from_signal_index=<value optimized out>, to_signal_index=6, argv=0xffffffffffffffff) at kernel/qobject.cpp:3113
#37 0x00007f803f0f40e6 in KIO::SlaveInterface::error (this=0xb7d61c, _t1=114, _t2=<value optimized out>) at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/kio/slaveinterface.moc:153
#38 0x00007f803f0f7989 in KIO::SlaveInterface::dispatch (this=0x2545510, _cmd=102, rawdata=<value optimized out>) at /build/buildd/kde4libs-4.3.1/kio/kio/slaveinterface.cpp:208
#39 0x00007f803f0f43e2 in KIO::SlaveInterface::dispatch (this=0x2545510) at /build/buildd/kde4libs-4.3.1/kio/kio/slaveinterface.cpp:91
#40 0x00007f803f0e6f63 in KIO::Slave::gotInput (this=0x2545510) at /build/buildd/kde4libs-4.3.1/kio/kio/slave.cpp:322
#41 0x00007f803f0e91c8 in KIO::Slave::qt_metacall (this=0x2545510, _c=QMetaObject::InvokeMetaMethod, _id=-512, _a=0x7fff4a692b90) at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/kio/slave.moc:76
#42 0x00007f803cbe4ea2 in QMetaObject::activate (sender=0x48e7150, from_signal_index=<value optimized out>, to_signal_index=4, argv=0xffffffffffffffff) at kernel/qobject.cpp:3113
#43 0x00007f803f003db1 in KIO::ConnectionPrivate::dequeue (this=0x4b2ea20) at /build/buildd/kde4libs-4.3.1/kio/kio/connection.cpp:82
#44 0x00007f803f00420a in KIO::Connection::qt_metacall (this=0x48e7150, _c=QMetaObject::InvokeMetaMethod, _id=-512, _a=0x2d3a0a0)
    at /build/buildd/kde4libs-4.3.1/obj-x86_64-linux-gnu/kio/connection.moc:73
#45 0x00007f803cbdf5d8 in QObject::event (this=0x48e7150, e=0x3b61470) at kernel/qobject.cpp:1111
#46 0x00007f803d74ff4d in QApplicationPrivate::notify_helper (this=0xb28ea0, receiver=0x48e7150, e=0x3b61470) at kernel/qapplication.cpp:4056
#47 0x00007f803d75818a in QApplication::notify (this=0x7fff4a6935f0, receiver=0x48e7150, e=0x3b61470) at kernel/qapplication.cpp:4021
#48 0x00007f803eb54deb in KApplication::notify (this=0x7fff4a6935f0, receiver=0x48e7150, event=0x3b61470) at /build/buildd/kde4libs-4.3.1/kdeui/kernel/kapplication.cpp:302
#49 0x00007f803cbcf6ac in QCoreApplication::notifyInternal (this=0x7fff4a6935f0, receiver=0x48e7150, event=0x3b61470) at kernel/qcoreapplication.cpp:610
#50 0x00007f803cbd031a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xafe850) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#51 0x00007f803cbf8e03 in postEventSourceDispatch (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#52 0x00007f803632020a in IA__g_main_context_dispatch (context=0xb40e40) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:1814
#53 0x00007f80363238e0 in g_main_context_iterate (context=0xb40e40, block=1, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:2448
#54 0x00007f8036323a7c in IA__g_main_context_iteration (context=0xb40e40, may_block=1) at /build/buildd/glib2.0-2.20.1/glib/gmain.c:2511
#55 0x00007f803cbf8a8f in QEventDispatcherGlib::processEvents (this=0xafe0a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#56 0x00007f803d7e8bdf in QGuiEventDispatcherGlib::processEvents (this=0xb7d61c, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#57 0x00007f803cbcdf42 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1248408848}) at kernel/qeventloop.cpp:149
#58 0x00007f803cbce314 in QEventLoop::exec (this=0x7fff4a693550, flags={i = 1248408928}) at kernel/qeventloop.cpp:201
#59 0x00007f803cbd05e4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#60 0x0000000000404945 in main (argc=3, argv=0x7fff4a693cd8) at /build/buildd/kdepim-4.3.1/kontact/src/main.cpp:218
261	in ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S

Reported using DrKonqi
Comment 1 Dario Andres 2009-09-23 03:24:26 UTC
I wonder if this could be related to bug 191122 / bug 204979.
Thanks
Comment 2 David Faure 2009-10-01 01:19:21 UTC
SVN commit 1029870 by dfaure:

Fix race shown by r1029862: protect access to the list of catalogs (and other KLocalePrivate members)
using a mutex. The copy ctor makes it impossible to have it as plain member, had to use new/delete instead.
BUG: 208178


 M  +28 -15    klocale.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1029870
Comment 3 David Faure 2009-10-01 01:27:40 UTC
*** Bug 208350 has been marked as a duplicate of this bug. ***
Comment 4 David Faure 2009-10-01 01:28:40 UTC
*** Bug 207830 has been marked as a duplicate of this bug. ***
Comment 5 David Faure 2009-10-01 01:31:05 UTC
*** Bug 208859 has been marked as a duplicate of this bug. ***
Comment 6 David Faure 2009-10-01 01:44:05 UTC
SVN commit 1029879 by dfaure:

Backport 1029862+1029870+1029871:
protect access to the list of catalogs (and other KLocalePrivate members) using a mutex.
Fix will be in KDE-4.3.2.
CCBUG: 208178


 M  +23 -10    localization/klocale.cpp  
 M  +1 -0      tests/klocalizedstringtest.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1029879
Comment 7 Dario Andres 2009-10-28 17:49:43 UTC
*** Bug 211953 has been marked as a duplicate of this bug. ***